#include <SPI.h>
#include <SD.h>

const int chipSelect = 4;

void setup()
{
  pinMode(valvePin1, OUTPUT);
  pinMode(valvePin2, OUTPUT);

  
  // Open serial communications and wait for port to open:
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for Leonardo only
  }

  Serial.print("Initializing SD card...");

  // see if the card is present and can be initialized:
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    // don't do anything more:
    return;
  }
  Serial.println("card initialized.");
}

void loop()
{


double getPressure(){
  //Joesph
}
double getAltitude(){
  //Joesph
}
double getTemperature(){
  //Joesph
}

void openValve(){
  digitalWrite(valvePin1, HIGH);
}
void closeValve{
  digitalWrite(valvePin2, HIGH);
}

double getAltitudeGPS(){
  //Eric
}
double getPosition(){
  //Eric
}
double getTime(){
  //Eric
}
void writeLog(){
    // make a string for assembling the data to log:
  String dataString = pressure + ",   " + altitude + ",   " + temperature + ",    " + position + ",   " + time;

  // open the file. note that only one file can be open at a time,
  // so you have to close this one before opening another.
  File dataFile = SD.open("datalog.txt", FILE_WRITE);

  // if the file is available, write to it:
  if (dataFile) {
    dataFile.println("Pressure,   Altitude,   Temperature,    Position,   Time    ");
    dataFile.println(dataString);
    dataFile.close();
    // print to the serial port too:
    Serial.println(dataString);
  }
  // if the file isn't open, pop up an error:
  else {
    Serial.println("error opening datalog.txt");
  }
   }

}


